summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore3
-rwxr-xr-xmacosx/generate-pkg.sh47
-rw-r--r--macosx/package-welcome.txt10
-rw-r--r--macosx/package.xml.in19
4 files changed, 79 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
index 46440503..c1e48086 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,8 +1,11 @@
build/
man/*.1
.lock*
+.stamp_*
+.DS_Store
__pycache__
*.pyc
+*.pkg
android/.server/
android/.client/
codeBlocks
diff --git a/macosx/generate-pkg.sh b/macosx/generate-pkg.sh
new file mode 100755
index 00000000..358e6efc
--- /dev/null
+++ b/macosx/generate-pkg.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+set -e
+
+cd $(dirname ${0})
+
+# ---------------------------------------------------------------------------------------------------------------------
+
+installed_prefix="${1}"
+
+if [ -z "${installed_prefix}" ]; then
+ echo "usage: ${0} <installed_prefix>"
+ exit 1
+fi
+
+# ---------------------------------------------------------------------------------------------------------------------
+
+VERSION=$(cat ../wscript | awk 'sub("VERSION=","")' | tr -d "'")
+
+#rm -f jack2-osx-root.pkg
+rm -f jack2-osx-${VERSION}.pkg
+rm -f package.xml
+
+# ---------------------------------------------------------------------------------------------------------------------
+
+#pkgbuild \
+# --identifier org.jackaudio.jack2 \
+# --install-location "/usr/local/" \
+# --root "${installed_prefix}/" \
+# jack2-osx-root.pkg
+
+# ---------------------------------------------------------------------------------------------------------------------
+
+# https://developer.apple.com/library/content/documentation/DeveloperTools/Reference/DistributionDefinitionRef/Chapters/Distribution_XML_Ref.html
+
+sed -e "s|@CURDIR@|${PWD}|" package.xml.in > package.xml
+
+productbuild \
+ --distribution package.xml \
+ --identifier org.jackaudio.jack2 \
+ --package-path "${PWD}" \
+ --version ${VERSION} \
+ jack2-osx-${VERSION}.pkg
+
+rm package.xml
+
+# ---------------------------------------------------------------------------------------------------------------------
diff --git a/macosx/package-welcome.txt b/macosx/package-welcome.txt
new file mode 100644
index 00000000..38208890
--- /dev/null
+++ b/macosx/package-welcome.txt
@@ -0,0 +1,10 @@
+JACK2 is a low-latency audio server for multi-processor machines.
+It provides a basic infrastructure for audio applications to communicate with each other and with audio hardware.
+Through JACK, users are enabled to build powerful systems for signal processing and music production.
+
+This package installs jackd and the command-line tools for JACK2.
+
+It also includes the necessary files for developers to build with JACK support.
+
+
+The previously packaged JackRouter plugin is not available at this point.
diff --git a/macosx/package.xml.in b/macosx/package.xml.in
new file mode 100644
index 00000000..36dc4434
--- /dev/null
+++ b/macosx/package.xml.in
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="utf-8" standalone="no"?>
+<installer-gui-script minSpecVersion="1">
+ <title>JACK2</title>
+ <!--
+ <background file="@CURDIR@/package-background.png" mime-type="image/png" alignment="bottomleft" scaling="proportional" />
+ <background-darkAqua file="@CURDIR@/package-background.png" mime-type="image/png" alignment="bottomleft" scaling="proportional" />
+ -->
+ <choice id="org.jackaudio.jack2" title="JACK2" visible="false">
+ <pkg-ref id="org.jackaudio.jack2">jack2-osx-root.pkg</pkg-ref>
+ </choice>
+ <choices-outline>
+ <line choice="org.jackaudio.jack2"/>
+ </choices-outline>
+ <domains enable_anywhere="false" enable_currentUserHome="false" enable_localSystem="true"/>
+ <license file="@CURDIR@/../COPYING" mime-type="text/plain" />
+ <options customize="never" hostArchitectures="x86_64" require-scripts="false"/>
+ <pkg-ref id="org.jackaudio.jack2">jack2-osx-root.pkg</pkg-ref>
+ <welcome file="@CURDIR@/package-welcome.txt" mime-type="text/plain" />
+</installer-gui-script>